﻿using SoftwareInstallationDataModels.Models;
using SoftwareInstallationDataModels.Enums;

namespace SofrwareInstallationContracts.BindingModels
{
    public class OrderBindingModel : IOrderModel
    {
        public int PackageId { get; set; }

        public int Count { get; set; }

        public double Sum { get; set; }

        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        public DateTime DateCreate { get; set; } = DateTime.Now;

        public DateTime? DateImplement { get; set; }

        public int Id { get; set; }
        public string PackageName { get; set; } = string.Empty;
    }
}