﻿using SofrwareInstallationContracts.BindingModels;
using SofrwareInstallationContracts.SearchModels;
using SofrwareInstallationContracts.ViewModels;

namespace SofrwareInstallationContracts.StoragesContracts
{
    public interface IPackageStorage
    {
        List<PackageViewModel> GetFullList();
        List<PackageViewModel> GetFilteredList(PackageSearchModel model);
        PackageViewModel? GetElement(PackageSearchModel model);
        PackageViewModel? Insert(PackageBindingModel model);
        PackageViewModel? Update(PackageBindingModel model);
        PackageViewModel? Delete(PackageBindingModel model);
    }
}

