﻿using SoftwareInstallationDataModels.Enums;
using SoftwareInstallationDataModels.Models;
using System.ComponentModel;

namespace SofrwareInstallationContracts.ViewModels
{
    public class OrderViewModel : IOrderModel
    {
        public int PackageId { get; set; }

        [DisplayName("Номер")]
        public int Id { get; set; }

        [DisplayName("Название изделия")]
        public string PackageName { get; set; } = string.Empty;

        [DisplayName("Количество")]
        public int Count { get; set; }

        [DisplayName("Сумма")]
        public double Sum { get; set; }

        [DisplayName("Статус")]
        public OrderStatus Status { get; set; } = OrderStatus.Неизвестен;

        [DisplayName("Дата создания")]
        public DateTime DateCreate { get; set; } = DateTime.Now;

        [DisplayName("Дата выполнения")]
        public DateTime? DateImplement { get; set; }


    }
}
