﻿using SoftwareInstallationDataModels.Models;
using System.ComponentModel;

namespace SofrwareInstallationContracts.ViewModels
{
    public class PackageViewModel : IPackageModel
    {
        public int Id { get; set; }

        [DisplayName("Название изделия")]
        public string PackageName { get; set; } = string.Empty;

        [DisplayName("Цена")]
        public double Price { get; set; }

        public Dictionary<int, (IComponentModel, int)> PackageComponents { get; set; } = new();
    }
}
